Budget versus actual report
Compare budgeted sales and profit (ex VAT) with actual figures for the given year. Actual figures are aggregated with the same rules as the turnover report (settled, complete orders), so the numbers always match the turnover report. Always returns all 12 months; when month is given, a day-by-day breakdown for that month is included. Budgets and actuals are summed across the given stores.
Required permissions: REPORTING, SALES_ORDER, RETURN_ORDER
post/tenants/{tenantUid}/reports/budget
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
storeUidsstring[] · min: 1Required
yearintegerRequired
monthinteger · min: 1 · max: 12Optional
When given, the response includes a day-by-day breakdown for this month.
Responses
200
Budget versus actual report
application/json
yearintegerRequired
post/tenants/{tenantUid}/reports/budget
POST /v2/tenants/{tenantUid}/reports/budget HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41
{
"storeUids": [
"text"
],
"year": 1,
"month": 1
}200
Budget versus actual report
{
"year": 1,
"months": [
{
"month": 1,
"budgetSalesAmountExVat": 1,
"budgetRevenueAmountExVat": 1,
"actualSalesAmountExVat": 1,
"actualRevenueAmountExVat": 1
}
],
"days": [
{
"date": "2026-01-01",
"budgetSalesAmountExVat": 1,
"actualSalesAmountExVat": 1,
"actualRevenueAmountExVat": 1
}
]
}Last updated
Was this helpful?

